Name:		stratagus
Summary:	A real time strategy game engine
Version:	3.0.0
Release:	%mkrel 1
Group:		Games/Strategy
License:	GPLv2+
URL:		https://stratagus.com/
Source0:	https://github.com/Wargus/stratagus/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(fluidsynth)
BuildRequires:	pkgconfig(libmikmod)
BuildRequires:	pkgconfig(libmng)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	tolua++-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(lua) < 5.2

%description
Stratagus is a free cross-platform real-time strategy gaming engine.
It includes support for playing over the internet/LAN, or playing a computer
opponent. The engine is configurable and can be used to create games with a
wide-range of features specific to your needs.

%package devel
Summary:		Development files for %{name}
Group:			Development/Other
BuildArch:		noarch
Requires:		%{name} >= %{version}-%{release}

%description devel
This package contains development files for %{name}.

%prep
%setup -q

%build
# default build options seem to be fine
%cmake \
  -DENABLE_DEV=ON
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_mandir}/man6
install -Dpm644 doc/%{name}.6 %{buildroot}%{_mandir}/man6/

%files
%doc README.md doc/*
%{_gamesbindir}/%{name}
%{_bindir}/png2%{name}
%{_mandir}/man6/%{name}.6*

%files devel
%{_includedir}/%{name}*


%changelog
* Fri Mar 26 2021 daviddavid <daviddavid> 3.0.0-1.mga8
+ Revision: 1710386
- new version: 3.0.0 (mga#26876)
- switch to sdl2

* Thu Feb 04 2021 akien <akien> 2.4.2-4.mga8
+ Revision: 1674814
- Revert to 2.4.2, as 2.4.3 doesn't build: https://github.com/Wargus/stratagus/issues/277
+ zezinho <zezinho>
- new version 2.4.3

* Fri Feb 14 2020 umeabot <umeabot> 2.4.2-3.mga8
+ Revision: 1522032
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Jan 15 2019 daviddavid <daviddavid> 2.4.2-2.mga7
+ Revision: 1357001
- rebuild for new fluidsynth 2.0.3

* Mon Oct 01 2018 daviddavid <daviddavid> 2.4.2-1.mga7
+ Revision: 1314408
- new version: 2.4.2
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Fri Nov 10 2017 zezinho <zezinho> 2.4.1-1.mga7
+ Revision: 1176783
- new version packaged by Diogo
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon Nov 30 2015 zezinho <zezinho> 2.3.0-1.mga6
+ Revision: 907294
- new version 2.3.0

* Sat Dec 06 2014 akien <akien> 2.2.7-8.mga5
+ Revision: 801726
- Rebuild for Mageia 5

* Mon Dec 02 2013 zezinho <zezinho> 2.2.7-7.mga4
+ Revision: 554620
- fix man page

* Sat Oct 19 2013 umeabot <umeabot> 2.2.7-6.mga4
+ Revision: 533277
- Mageia 4 Mass Rebuild

* Tue Aug 27 2013 tv <tv> 2.2.7-5.mga4
+ Revision: 472374
- rebuild for new libmng

* Tue Jun 04 2013 fwang <fwang> 2.2.7-4.mga4
+ Revision: 436973
- rebuild for new libpng

* Wed Jan 16 2013 cjw <cjw> 2.2.7-3.mga3
+ Revision: 388465
- use lua5.1 because of tolua++

* Mon Jan 14 2013 umeabot <umeabot> 2.2.7-2.mga3
+ Revision: 383521
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 zezinho <zezinho> 2.2.7-1.mga3
+ Revision: 304507
- new version

* Mon Jan 30 2012 zezinho <zezinho> 2.2.6-1.mga2
+ Revision: 203582
- remove useless icon
- new version

* Wed Sep 21 2011 fwang <fwang> 2.2.5.5-1.mga2
+ Revision: 146246
- fix build with libpng 1.5

* Wed Feb 02 2011 dmorgan <dmorgan> 2.2.5.5-1.mga1
+ Revision: 46395
- imported package stratagus


* Tue Feb 01 2011 Funda Wang <fwang@mandriva.org> 2.2.5.5-1mdv2011.0
+ Revision: 634641
- brimagemagick
- New version 2.2.5.5

* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.4-4mdv2011.0
+ Revision: 614984
- the mass rebuild of 2010.1 packages

* Sat May 01 2010 Funda Wang <fwang@mandriva.org> 2.2.4-3mdv2010.1
+ Revision: 541412
- fix build with latest gcc44

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Thu Aug 14 2008 Götz Waschk <waschk@mandriva.org> 2.2.4-2mdv2009.0
+ Revision: 271854
- use the right configure macro

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 2.2.4-1mdv2009.0
+ Revision: 140863
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat May 19 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.2.4-1mdv2008.0
+ Revision: 28435
- update to 2.2.24


* Tue Mar 13 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.2.3-1mdv2007.1
+ Revision: 142271
- 2.2.3
- builds now against lua 5.1
- work a bit around broken parallell build

* Wed Jan 17 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.2.2-1mdv2007.1
+ Revision: 109768
- new release: 2.2.2
  really drop broken lua 5.1 patch

* Tue Dec 12 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.2-1.061209.1mdv2007.1
+ Revision: 95885
- 2.2 really fix buildrequires
- Fix buildrequires
- try work around stupid buildrequires
- 2.2
- new version
- Import stratagus

* Fri Aug 25 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.1-6mdv2007.0
- rebuild against new liblua
- fix building against new lua (P0)

* Tue Oct 11 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.1-5mdk
- Fix BuildRequires
- Fix Redundant buildrequires 
	- X11-devel is already required by SDL-devel

* Thu Oct 06 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.1-4mdk
- Fix BuildRequires

* Mon Aug 22 2005 Eskild Hustvedt <eskild@mandriva.org> 2.1-3mdk
- Rebuild for new xorg

* Mon Jul 18 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.1-2mdk
- add opengl, mad, flac and cdaudio support
- add buildrequires too
- really use $RPM_OPT_FLAGS

* Sat Jul 09 2005 Eskild Hustvedt <eskild@mandrake.org> 2.1-1mdk
- Initial Mandriva Linux package

